
#ifndef _SYS_SERIAL
#define _SYS_SERIAL

class cSysSerial
{
public:
	cSysSerial();
	~cSysSerial();

	bool			SelectComPort	(int iCom);
	bool			SelectBaudRate	(int iBaud);
	bool			SelectParity	(int iParity);
	bool			SelectStopBits	(int iStopBits);

	bool			OpenComPort		(void);
	bool			CloseComPort	(void);

	int				PeekBuffer		(void);
	int				WriteBuffer		(unsigned char *ucBuffer, int iBufferLength);
	int				ReadBuffer		(unsigned char *ucBuffer, int iBufferLength);

	bool			WriteByte		(unsigned char ucByte);
	unsigned char	ReadByte		(void);

private:
	int  iComIndex;
	int  iBaudIndex;
	int  iParity;
	int  iStopBits;

	HANDLE hCom;
};

unsigned short GetCRC (unsigned char *ucBuffer, int iBufferLength, unsigned short usSeed);

#endif